pull/931/head
Itai-Nelken 3 years ago
commit abd01102a0

@ -7,12 +7,12 @@ function error {
exit 1
}
# Get dependencies
"${DIRECTORY}/pkg-install" "firefox-esr" "$(dirname "$0")" || exit 1
rm -f ~/browsh.deb
wget -O browsh.deb https://github.com/browsh-org/browsh/releases/download/v1.6.4/browsh_1.6.4_linux_armv7.deb || error 'Failed to download browsh!'
"${DIRECTORY}/pkg-install" "firefox-esr $HOME/browsh.deb" "$(dirname "$0")" || error 'Failed to install browsh.deb!'
rm -f ~/browsh.deb
wget https://github.com/browsh-org/browsh/releases/download/v1.6.4/browsh_1.6.4_linux_armv7.deb || error 'Failed to download browsh!'
sudo apt -yf install ./browsh_1.6.4_linux_armv7.deb || error 'Failed to install browsh!'
rm browsh_1.6.4_linux_armv7.deb
echo "[Desktop Entry]
Version=1.1
Type=Application
@ -22,4 +22,3 @@ Icon=$(dirname "$0")/icon-64.png
Exec=browsh
Terminal=true
Categories=Network;" > ~/.local/share/applications/browsh.desktop

@ -7,12 +7,12 @@ function error {
exit 1
}
# Get dependencies
"${DIRECTORY}/pkg-install" "firefox-esr" "$(dirname "$0")" || exit 1
rm -f ~/browsh.deb
wget -O browsh.deb https://github.com/browsh-org/browsh/releases/download/v1.6.4/browsh_1.6.4_linux_arm64.deb || error 'Failed to download browsh!'
"${DIRECTORY}/pkg-install" "firefox-esr $HOME/browsh.deb" "$(dirname "$0")" || error 'Failed to install browsh.deb!'
rm -f ~/browsh.deb
wget https://github.com/browsh-org/browsh/releases/download/v1.6.4/browsh_1.6.4_linux_arm64.deb || error 'Failed to download browsh!'
sudo apt -yf install ./browsh_1.6.4_linux_arm64.deb || error 'Failed to install browsh!'
rm browsh_1.6.4_linux_arm64.deb
echo "[Desktop Entry]
Version=1.1
Type=Application
@ -21,6 +21,4 @@ Comment=The modern text-based terminal browser.
Icon=$(dirname "$0")/icon-64.png
Exec=browsh
Terminal=true
Actions=
Categories=Network;" > ~/.local/share/applications/browsh.desktop

@ -7,11 +7,6 @@ function error {
exit 1
}
if command -v browsh >/dev/null ;then
sudo apt purge -y browsh || error 'Failed to remove browsh!'
fi
"${DIRECTORY}/purge-installed" "$(dirname "$0")" || error 'Failed to purge browsh package!'
sudo rm -f ~/.local/share/applications/browsh.desktop
#if your app installs any packages, keep this command here so those packages will be removed.
"${DIRECTORY}/purge-installed" "$(dirname "$0")" || exit 1

@ -7,8 +7,8 @@ function error {
exit 1
}
sudo apt purge firefox -y || error "Failed to uninstall firefox!"
sudo rm /etc/apt/preferences.d/99bionic-updates || error "Failed to delete /etc/apt/preferences.d/99bionic-updates"
sudo rm /etc/apt/sources.list.d/firefox-ubuntu.list || error "Failed to delete the repository!"
sudo apt purge firefox -y
sudo rm -f /etc/apt/preferences.d/99bionic-updates
sudo rm -f /etc/apt/sources.list.d/firefox-ubuntu.list
sudo apt-key del "3B4FE6ACC0B21F32" || error "Failed to delete the key!"

@ -8,10 +8,11 @@ function error {
}
# Download teamviewer installation file
wget https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb || error "Failed to download teamviewer-host_armhf.deb"
rm -f ~/teamviewer-host_armhf.deb
wget -O ~/teamviewer-host_armhf.deb https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb || error "Failed to download teamviewer-host_armhf.deb"
#install deb file
"${DIRECTORY}/pkg-install" "$HOME/teamviewer-host_armhf.deb" || error "Failed to install teamviewer-host_armhf.deb"
"${DIRECTORY}/pkg-install" "$HOME/teamviewer-host_armhf.deb" "$(dirname "$0")" || error "Failed to install teamviewer-host_armhf.deb"
# Delete teamviewer installation file
rm -f ~/teamviewer-host_armhf.deb

5
gui

@ -120,6 +120,11 @@ runonce <<"EOF"
sudo apt install -y curl
fi
EOF
#run sudo apt update once to fix everyone's "repo's Suite value was changed from stable to oldstable"
runonce <<"EOF"
sudo apt update &>/dev/null
EOF
) &
install() {

@ -19,7 +19,7 @@ PKG_LIST="$1" #quotation-marked, space-seperated list of package names to instal
app="$(basename "$2")" #remove any slashes to just get program name
reduceapt() { #remove unwanted lines from apt output
grep -v "apt does not have a stable CLI interface.\|Reading package lists...\|Building dependency tree\|Reading state information...\|Need to get\|After this operation,\|Get:\|Fetched\|Selecting previously unselected package\|Preparing to unpack\|Unpacking \|Setting up \|Processing triggers for \| changed its 'Suite' value "
grep -v "apt does not have a stable CLI interface.\|Reading package lists...\|Building dependency tree\|Reading state information...\|Need to get\|After this operation,\|Get:\|Fetched\|Selecting previously unselected package\|Preparing to unpack\|Unpacking \|Setting up \|Processing triggers for "
}
message_to_user() { #bright, attention-getting message to display to user
@ -113,6 +113,13 @@ Please free up some space, then try again."
You must fix the u-boot-rpi package before dpkg, apt, or Pi-Apps will work."
fi
#check for "Release file for http://httpredir.debian.org/debian/dists/buster-backports/InRelease is not valid yet"
if echo "$errors" | grep -q "Release file for .* is not valid yet" ;then
message_to_user "One or more repositories has a release file that becomes valid in the future.
Please look at the above errors to see how long you have to wait."
fi
}
echo "Running pkg-install..."
@ -125,7 +132,7 @@ fi
LANG=C
LC_ALL=C
LANGUAGE=C
IFS=$'\n'
IFS=$' \n'
source "${DIRECTORY}/api"
apt_lock_wait
@ -133,7 +140,7 @@ apt_lock_wait
#sudo apt update
{
echo -e "Running \e[4msudo a\e[0mp\e[4mt u\e[0mp\e[4mdate\e[0m..."
output="$(sudo -E apt update 2>&1 | reduceapt | tee /dev/stderr)"
output="$(sudo -E apt update 2>&1 | tee /dev/stderr | reduceapt)"
exitcode=$?
#inform user about autoremovable packages
@ -165,7 +172,7 @@ fi
for package in $PKG_LIST ;do
#if package begins with / (absolute path)
if [[ "$package" == /* ]];then
if [[ "$package" == /* ]];then
#determine the package name from the package filepath
packagename="$(dpkg-deb -I "$package" | grep "^ Package:" | awk '{print $2}')"
[ -z "$packagename" ] && error "pkg-install: failed to determine the package name of $package"
@ -242,6 +249,7 @@ Package: pi-apps-$appnamehash" > ~/pi-apps-$appnamehash/DEBIAN/control
output="$(dpkg-deb --build ~/pi-apps-$appnamehash 2>&1)"
if [ $? != 0 ];then
echo "$output"
echo "$output" | apt_diagnose
error "pkg-install: failed to create dummy deb pi-apps-$appnamehash"
fi

Loading…
Cancel
Save